From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/bitcoin-qt/
Date: Wed, 4 Apr 2018 23:04:26 +0000 (UTC) [thread overview]
Message-ID: <1522882980.c770af4ce480a1b85479e2ab1ebe58f32a4dac78.asturm@gentoo> (raw)
commit: c770af4ce480a1b85479e2ab1ebe58f32a4dac78
Author: Luke Dashjr <luke-jr+git <AT> utopios <DOT> org>
AuthorDate: Mon Apr 2 02:28:19 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Apr 4 23:03:00 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c770af4c
net-p2p/bitcoin-qt: 0.16.0-r1 revbump w/ desktop file icon fix
Closes: https://github.com/gentoo/gentoo/pull/7769
net-p2p/bitcoin-qt/bitcoin-qt-0.16.0-r1.ebuild | 188 +++++++++++++++++++++++++
1 file changed, 188 insertions(+)
diff --git a/net-p2p/bitcoin-qt/bitcoin-qt-0.16.0-r1.ebuild b/net-p2p/bitcoin-qt/bitcoin-qt-0.16.0-r1.ebuild
new file mode 100644
index 00000000000..1e526ce5bab
--- /dev/null
+++ b/net-p2p/bitcoin-qt/bitcoin-qt-0.16.0-r1.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DB_VER="4.8"
+inherit autotools bash-completion-r1 db-use gnome2-utils xdg-utils
+
+BITCOINCORE_COMMITHASH="4b4d7eb255ca8f9a94b92479e6061d129c91a991"
+KNOTS_PV="${PV}.knots20180322"
+KNOTS_P="bitcoin-${KNOTS_PV}"
+
+DESCRIPTION="An end-user Qt GUI for the Bitcoin crypto-currency"
+HOMEPAGE="https://bitcoincore.org/ https://bitcoinknots.org/"
+SRC_URI="
+ https://github.com/bitcoin/bitcoin/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> bitcoin-v${PV}.tar.gz
+ https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.patches.txz -> ${KNOTS_P}.patches.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~arm ~arm64 ~mips ~ppc ~x86 ~x86-linux"
+
+IUSE="+asm +bip70 +bitcoin_policy_rbf dbus kde +libevent knots libressl +qrcode test upnp +wallet zeromq"
+
+RDEPEND="
+ >=dev-libs/boost-1.52.0:=[threads(+)]
+ >=dev-libs/libsecp256k1-0.0.0_pre20151118:=[recovery]
+ dev-libs/univalue:=
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ virtual/bitcoin-leveldb
+ bip70? ( dev-libs/protobuf:= )
+ dbus? (
+ dev-qt/qtdbus:5
+ )
+ libevent? ( dev-libs/libevent:= )
+ !libressl? ( dev-libs/openssl:0=[-bindist] )
+ libressl? ( dev-libs/libressl:0= )
+ qrcode? (
+ media-gfx/qrencode:=
+ )
+ upnp? ( >=net-libs/miniupnpc-1.9.20150916:= )
+ wallet? ( sys-libs/db:$(db_ver_to_slot "${DB_VER}")=[cxx] )
+ zeromq? ( net-libs/zeromq:= )
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+ knots? (
+ gnome-base/librsvg
+ media-gfx/imagemagick[png]
+ )
+"
+
+DOCS=( doc/bips.md doc/files.md doc/release-notes.md )
+
+S="${WORKDIR}/bitcoin-${BITCOINCORE_COMMITHASH}"
+
+pkg_pretend() {
+ if use knots; then
+ elog "You are building ${PN} from Bitcoin Knots."
+ elog "For more information, see:"
+ elog "https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.desc.html"
+ else
+ elog "You are building ${PN} from Bitcoin Core."
+ elog "For more information, see:"
+ elog "https://bitcoincore.org/en/2017/11/11/release-${PV}/"
+ fi
+ if use bitcoin_policy_rbf; then
+ elog "Replace By Fee policy is enabled: Your node will preferentially mine and"
+ elog "relay transactions paying the highest fee, regardless of receive order."
+ else
+ elog "Replace By Fee policy is disabled: Your node will only accept the first"
+ elog "transaction seen consuming a conflicting input, regardless of fee"
+ elog "offered by later ones."
+ fi
+}
+
+src_prepare() {
+ sed -i 's/^\(complete -F _bitcoind \)bitcoind \(bitcoin-qt\)$/\1\2/' contrib/bitcoind.bash-completion || die
+
+ # Save the generic icon for later
+ cp src/qt/res/src/bitcoin.svg bitcoin128.svg || die
+
+ local knots_patchdir="${WORKDIR}/${KNOTS_P}.patches/"
+
+ eapply "${knots_patchdir}/${KNOTS_P}.syslibs.patch"
+
+ if use knots; then
+ eapply "${knots_patchdir}/${KNOTS_P}.f.patch"
+ eapply "${knots_patchdir}/${KNOTS_P}.branding.patch"
+ eapply "${knots_patchdir}/${KNOTS_P}.ts.patch"
+ eapply "${FILESDIR}/${P}-fix_mempoolstats.patch"
+ fi
+
+ eapply_user
+
+ if ! use bitcoin_policy_rbf; then
+ sed -i 's/\(DEFAULT_ENABLE_REPLACEMENT = \)true/\1false/' src/validation.h || die
+ fi
+
+ echo '#!/bin/true' >share/genbuild.sh || die
+ mkdir -p src/obj || die
+ echo "#define BUILD_SUFFIX gentoo${PVR#${PV}}" >src/obj/build.h || die
+
+ if use knots; then
+ sed -i 's/^\(Icon=\).*$/\1bitcoinknots/' contrib/debian/bitcoin-qt.desktop || die
+ fi
+ sed -i 's/^\(Categories=.*\)$/\1P2P;Network;Qt;/' contrib/debian/bitcoin-qt.desktop || die
+
+ eautoreconf
+ rm -r src/leveldb src/secp256k1 || die
+}
+
+src_configure() {
+ local my_econf=(
+ $(use_enable asm)
+ $(use_enable bip70)
+ $(use_with dbus qtdbus)
+ $(use_with libevent)
+ $(use_with qrcode qrencode)
+ $(use_with upnp miniupnpc)
+ $(use_enable upnp upnp-default)
+ $(use_enable test tests)
+ $(use_enable wallet)
+ $(use_enable zeromq zmq)
+ --with-gui=qt5
+ --disable-util-cli
+ --disable-util-tx
+ --disable-bench
+ --without-libs
+ --without-daemon
+ --disable-ccache
+ --disable-static
+ --with-system-leveldb
+ --with-system-libsecp256k1
+ --with-system-univalue
+ )
+ econf "${my_econf[@]}"
+}
+
+src_install() {
+ default
+
+ rm -f "${ED%/}/usr/bin/test_bitcoin" || die
+
+ insinto /usr/share/icons/hicolor/scalable/apps/
+ doins bitcoin128.svg
+ if use knots; then
+ newins src/qt/res/src/bitcoin.svg bitcoinknots.svg
+ fi
+
+ insinto /usr/share/applications
+ newins "contrib/debian/bitcoin-qt.desktop" "org.bitcoin.bitcoin-qt.desktop"
+
+ use libevent && dodoc doc/REST-interface.md doc/tor.md
+
+ use zeromq && dodoc doc/zmq.md
+
+ newbashcomp contrib/bitcoind.bash-completion ${PN}
+
+ if use kde; then
+ insinto /usr/share/kservices5
+ doins contrib/debian/bitcoin-qt.protocol
+ dosym "../../kservices5/bitcoin-qt.protocol" "/usr/share/kde4/services/bitcoin-qt.protocol"
+ fi
+}
+
+update_caches() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postinst() {
+ update_caches
+
+ if use libevent; then
+ elog "To have ${PN} automatically use Tor when it's running, be sure your"
+ elog "'torrc' config file has 'ControlPort' and 'CookieAuthentication' setup"
+ elog "correctly, and add your user to the 'tor' user group."
+ fi
+}
+
+pkg_postrm() {
+ update_caches
+}
next reply other threads:[~2018-04-04 23:04 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-04 23:04 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-31 2:23 [gentoo-commits] repo/gentoo:master commit in: net-p2p/bitcoin-qt/ Sam James
2023-10-24 9:14 Joonas Niilola
2023-10-19 17:06 Florian Schmaus
2023-03-19 4:21 Sam James
2023-01-05 5:05 Sam James
2023-01-04 14:28 Arthur Zamarin
2023-01-04 9:42 Sam James
2022-09-30 23:24 Sam James
2022-09-04 13:03 David Seifert
2022-01-15 8:30 Joonas Niilola
2021-12-17 8:13 Florian Schmaus
2021-11-18 6:55 Joonas Niilola
2021-07-11 14:42 Craig Andrews
2021-07-10 2:21 Georgy Yakovlev
2021-07-10 1:19 Craig Andrews
2021-05-28 2:27 Sam James
2021-02-07 9:03 Joonas Niilola
2021-01-21 23:23 Sam James
2020-08-29 13:23 Sam James
2020-08-19 0:54 Craig Andrews
2020-06-17 1:52 Craig Andrews
2020-03-07 21:15 Craig Andrews
2020-03-07 21:15 Craig Andrews
2020-03-07 21:15 Craig Andrews
2019-08-07 16:33 Craig Andrews
2018-09-25 11:17 Agostino Sarubbo
2018-09-21 12:40 Virgil Dupras
2018-04-07 20:49 Andreas Sturmlechner
2018-04-06 20:56 Matt Turner
2018-03-28 19:09 Matt Turner
2018-03-18 14:17 Andreas Sturmlechner
2018-03-18 13:57 Mikle Kolyada
2018-02-22 9:05 Agostino Sarubbo
2018-01-28 23:19 Andreas Sturmlechner
2018-01-26 23:24 Thomas Deutschmann
2018-01-19 18:40 Andreas Sturmlechner
2018-01-09 15:51 Ulrich Müller
2017-12-31 16:20 Mike Gilbert
2017-04-08 21:29 Patrice Clement
2017-03-11 18:33 Anthony G. Basile
2016-12-20 9:08 Agostino Sarubbo
2016-12-19 19:56 Tobias Klausmann
2016-11-09 3:37 Anthony G. Basile
2016-11-09 3:37 Anthony G. Basile
2016-07-31 20:27 Anthony G. Basile
2015-11-27 20:01 Anthony G. Basile
2015-10-01 14:21 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1522882980.c770af4ce480a1b85479e2ab1ebe58f32a4dac78.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox